import { AfterViewInit, ViewContainerRef, TemplateRef, OnDestroy } from '@angular/core';
import { Toast, ToastPackage, ToastrService } from 'ngx-toastr';
import * as i0 from "@angular/core";
export declare class CustomToasterComponent extends Toast implements AfterViewInit, OnDestroy {
    protected toastrService: ToastrService;
    toastPackage: ToastPackage;
    customToastRef: ViewContainerRef;
    customToastTmpl: TemplateRef<any>;
    pagename: any;
    watchers: any;
    params: any;
    constructor(toastrService: ToastrService, toastPackage: ToastPackage);
    generateParams(): void;
    generateDynamicComponent(): Promise<void>;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomToasterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomToasterComponent, "[custom-toaster-component]", never, {}, {}, never, never, false, never>;
}
